@font-face {
    font-family: 'Poppins';
    src: url('./../assets/fonts/Poppins/Poppins-Regular.ttf') format('truetype');
}

:root {
    --background: #ffffff;
    --background-darker: #f3f3f5;
    --primary: #090909;
    --secondary: #ffffff;
    --border: #ffffff;
    --border-dark: #d8d8d8; 
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins';
    box-sizing: border-box;
}

html {
    width: 100%;
    overflow-x: hidden;
}

a {
    text-decoration: none;
    color: var(--primary);
}

button {
    cursor: pointer;
}

header {
    display: flex;
    flex-direction: row;
    width: 100%;
    background-color: var(--background);
    justify-content: space-between;
    align-items: center;
    padding: 12px;
    border-bottom: 1px solid var(--border-dark);
}

body {
    min-height: 100dvh;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}

.application-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

.application-info .info-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--background);
    font-size: 1.1rem;
    padding: 4px;
    width: 2.3rem;
    height: 2.3rem;
    background-color: var(--primary);
    border-radius: 8px;
}

.application-info .info-text p{
    font-size: 10pt;
}

.application-actions {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.application-actions .application-action-button {
    border: none;
    background-color: transparent;
    font-size: 14pt;
    outline: none;
}

.separator {
    height: 50%;
    width: 1px;
    background-color: var(--primary);
    opacity: 40%;
}